Résumé

  • RFC 9657 décrit trois familles déterministes de routage variant dans le temps : préservation des ressources, efficacité d’exploitation et joignabilité dynamique ; il ne définit aucun mécanisme particulier.
  • Un réveil prévu peut améliorer la convergence, mais il ne prouve ni l’intégrité de l’horloge, ni l’état radio, ni la découverte des voisins, ni l’installation de route, ni la livraison.
  • Le reçu durable relie prévision et hypothèses, autorité temporelle, révision du calendrier, décision locale, état observé, adjacency, forwarding et accusé de réception final.

L’absence peut être la bonne décision

Le routage classique interprète facilement la disparition d’un voisin comme une panne. Dans un système alimenté par le soleil, limité thermiquement ou encombré par ses propres données, cette disparition peut être intentionnelle. La radio s’éteint pour prolonger la vie du nœud, retrouver une plage thermique sûre ou réserver l’énergie à une autre tâche.

RFC 9657 reconnaît que des changements prévus de topologie peuvent devenir des entrées du calcul de route. Son premier cas d’usage, la préservation des ressources, suppose que la dépense, la reconstitution et la politique de gestion soient assez régulières pour être planifiées. L’exemple de trois capteurs solaires montre des graphes différents à t1, t2 et t3 selon le franchissement d’un seuil d’énergie.

Le mérite est de ne plus appeler « incident » toute absence attendue. La discipline consiste à ne pas appeler « joignable » tout retour attendu.

Allumer ne suffit pas à rejoindre

Le RFC signale qu’après l’entrée d’un nœud dans le réseau, la découverte et la synchronisation de son voisinage peuvent encore retarder le forwarding. Cette phrase sépare deux réalités souvent compressées dans un seul état : le dispositif a alimenté sa radio ; le réseau est prêt à acheminer.

Pour un contact court, ce délai peut consommer une fraction décisive de la fenêtre. Une radio activée à 14 h 10 peut chercher son voisin, établir sa relation, propager l’information et installer une route alors que la géométrie ou le budget énergétique se referme déjà.

Le reçu doit donc enregistrer la transition d’alimentation, l’identité du voisin, le début et la fin de découverte, la synchronisation, la route installée, le premier paquet et son résultat. La prévision explique pourquoi le système a essayé. Elle ne constate pas ce qu’il a obtenu.

Trois objectifs, trois manières d’attendre

La préservation des ressources protège l’existence du nœud. L’efficacité d’exploitation cherche une période moins coûteuse : tarif cellulaire, prix de l’énergie, refroidissement ou impact environnemental. La joignabilité dynamique prévoit l’expiration et le rétablissement d’adjacences liées au mouvement.

Dans le deuxième cas, un nœud peut filtrer un lien cher, accumuler des données pour une émission plus longue ou attendre une meilleure qualité environnementale. L’exemple va jusqu’à transporter des données de N1 à N2 à t1, les stocker, puis les envoyer de N2 à N3 à t3. RFC 4838 et RFC 9171 donnent un contexte plus large à cette logique de conservation et de retransmission.

Attendre devient une décision de routage. Cela ajoute des preuves à conserver : garde des données, espace restant, expiration, fenêtre choisie, coût réel, libération de la file et arrivée. Un calendrier bon marché n’est pas une livraison bon marché tant que ces étapes manquent.

Le mouvement prévisible garde des surprises

Pour la joignabilité dynamique, le chemin du mobile et certains effets de l’environnement doivent être suffisamment prévisibles. Le calcul peut anticiper l’expiration ou la reprise d’une adjacency, la variation du débit, ou écarter un lien qui va bientôt disparaître.

Les satellites en orbite basse illustrent un mouvement déterministe. Une station au sol entre successivement dans le champ de différents engins. Pourtant, RFC 9657 conserve une réserve importante : une panne de lien intersatellite peut réintroduire de l’imprévisibilité. Les ferries et les avions suivent eux aussi des trajectoires connues sans rendre la météo, le pointage ou le débit certains.

Le document exclut les scénarios non déterministes comme la communication véhicule-à-véhicule. Même dans son domaine, il offre une prévision bornée, pas une promesse absolue.

L’horloge possède un pouvoir topologique

RFC 3339 fournit une représentation de date et d’heure. RFC 5905 définit NTPv4 ; RFC 8633 expose des pratiques actuelles de sécurité temporelle. Une chaîne bien formée, une horloge synchronisée et une source de temps digne de confiance ne sont pas la même preuve.

RFC 9657 dit que la synchronisation est critique et qu’une modification non autorisée des horloges peut perturber le réseau jusqu’au déni de service. Un décalage ouvre une fenêtre trop tôt sur un nœud et trop tard sur l’autre. Le calendrier reste intact, mais son lien avec le monde est rompu.

Chaque décision doit conserver la source de temps, l’offset, l’incertitude, l’état de synchronisation et l’historique des sauts. Sans cela, l’heure agit comme une autorité invisible.

Une syntaxe de calendrier ne valide pas la prévision

RFC 9922 définit ensuite des groupements YANG communs pour les calendriers, leur validation et leur statut. Il ne présume pas l’action déclenchée et laisse les conflits hors de son périmètre. RFC 7758 apporte une capacité temporelle à NETCONF.

Ces mécanismes disent comment exprimer le temps. RFC 9657 explique pourquoi le routage peut l’utiliser. Aucun ne certifie la trajectoire, la recharge, le tarif ou la demande qui alimente le calendrier. Cette frontière ne répète pas l’article déjà publié sur RFC 9922 : ici, la question est la distance entre l’état futur prévu et l’état réseau observé.

Fermer la chaîne sans écraser les couches

Le dossier commence par l’objectif et la source de prévision : modèle, hypothèses, version, émission et validité. Il ajoute le temps de référence, l’autorité d’horloge, la distribution et l’accusé de réception du calendrier. Il conserve la politique locale et le calcul de route qui ont accepté ou modifié l’entrée.

À l’instant prévu, il mesure radio ou port, voisinage, adjacency, débit obtenu et prochain saut. Pour les données différées, il suit la file, la garde, l’expiration et la libération. Enfin, il enregistre l’arrivée ou l’observation applicative. Les erreurs de prévision doivent nourrir une mesure de qualité au lieu de disparaître sous « convergence ».

Les couches de réalité de Heng Lu empêchent la prévision, le calendrier, la décision et le résultat de s’emprunter leur autorité. La spécification initiale minimale justifie un langage temporel commun sans abolir le choix local. La primauté du code en fonctionnement exige le constat final.

RFC 9845 montre l’intérêt de topologies planifiées pour un réseau plus sobre. Mais économie d’énergie, utilité et qualité de service demeurent des résultats à mesurer.

Sources